const validate = () => {
    $('#company').on('change', showHideCompany);

    $('#submit').on('click', function(ev) {
        ev.preventDefault();
		
        let usernameRegex = /^[a-zA-Z0-9]{3,20}$/;
        let passwordRegex = /^\w{5,15}$/;
        let emailRegex = /@.*\./;
        let companyNumberRegex = /^[1-9]{1}[0-9]{3}$/;

        // Form validation
        const username = $('#username').val();
        const email = $('#email').val();
        const password = $('#password').val();
        const confPassword = $('#confirm-password').val();
        const company = $('#company').val();
    
        if (!usernameRegex.test(username)) {
            return alert('Unvalid username, the username must contain between 3 and 20 chars');
        }
    
        if (!passwordRegex.test(password)) {
            return alert('Unvalid password, the password length must contain between 5 and 15 char');
        }

        if (!emailRegex.test(email)) {
            return alert('Unvalid email address, the email must contain @');
        }

        if (companyNumberRegex.test(company)) {
            return alert('The company number must contain 4 numbers')
        }

        if (password !== confPassword) {
            return alert('The passwords aren\'t matching each other');
        }

    });

    // Form validation

    if (!usernameRegex.test(usernameRegex)) {
        return alert('Unvalid username, the username must contain between 3 and 20 chars');
    }

    if (!passwordRegex.test(passwordRegex)) {
        return 
    }
    // Form validation

    if (!usernameRegex.test(usernameRegex)) {
        return alert('Unvalid username, the username must contain between 3 and 20 chars');
    }

    if (!passwordRegex.test(passwordRegex)) {
        return 
    }


    function showHideCompany() {
        if ($(this).is(':checked')) {
            $('#companyInfo').css('display', 'block');
        } else {
            $('#companyInfo').css('display', 'none')
        }
    }

};